/***************************************************************************
                          pppstatus.h  -  description
                             -------------------
    begin                : Mar 13 1999
    copyright            : (C) 2000 by Gabriel Montenegro
    email                : johnpetrucci@users.sourceforge.net
 
 ***************************************************************************
 *                                                                         *
 *  This program is free software; you can redistribute it and/or modify   *
 *  it under the terms of the GNU General Public License as published by   *
 *  the Free Software Foundation; either version 2 of the License, or      *
 *  (at your option) any later version.                                    *
 *                                                                         *
 *  This program is distributed in the hope that it will be useful,        *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *  GNU General Public License for more details.                           *
 *                                                                         *
 *  You should have received a copy of the GNU General Public License      *
 *  along with this program; if not, write to the Free Software            *
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,  *
 *  USA.                                                                   *
 *                                                                         *
 ***************************************************************************/

#define VERSION "0.3"
#define AUTHOR "Gabriel Montenegro"

#define LED_RX    1
#define LED_TX    2
#define LED_POWER 3

#define PATH_PROC_NET_ROUTE "/proc/net/route"
#define RC_FILENAME ".pppstatus.rc"
#define LOG_FILENAME "pppstatus_log"
#define PPP_PID_PATH "/var/run/"
#define MAIL_PATH "/var/spool/mail/"

/* This will put the statistic coordinates (THIS WILL WORK WITH 0 or 1) */
typedef struct statvline {
   int shline[76]; /* This will be the horzontal lines */
} statvline[10]; /* ... and this will be vertical lines */
statvline svline;

/* This structure stays the INFO variables */
typedef struct DataStats {
   unsigned long rx_packets; /* This is for RX LED/TX PACKETS INFO */
   unsigned long rx_errors;  /* Shows how many erros has ocurred on receive */
   unsigned long rx_bytes;  /* How many bytes has received */
   /* --------------------------------------------------------------------- */
   unsigned long tx_packets; /* This is for TX LED/TX PACKETS INFO */ 
   unsigned long tx_errors; /* Shows how many erros has ocurred on transmition */
   unsigned long tx_bytes; /* How many Bytes has sent */
   /* --------------------COMPARATION-VARIABLES---------------------------- */
   unsigned long rx_packets_comp; 
   unsigned long tx_packets_comp; 
   unsigned long rx_bytes_comp;
   unsigned long tx_bytes_comp;
   /* --------------------------------------------------------------------- */
   long connect_time;
   long current_time;
   int online_days;
   int online_hour;
   int online_min;
   int online_sec;
   char *ip_addr_rtrn;
   char user_box[32];
   int email;
   char start_time;
} DataStats;
DataStats stats;
struct stat st;

/* Functions Declarations */
void close_ppps(char *errmsg);
void chcolor(int x, int y);
void the_face(void);
void update_stat(void);
void update_info(void);
void led_on(unsigned int who);
void led_off(unsigned int who);
int is_online(void);
int get_stat(void);
void get_ppp_stats(struct ppp_stats *cur);
void clear_info(void);
void show_usage(char *name);
void get_time();
void ip_address(void);
int log(int quit);
void check_email(void);
/* End of Functions Declarations */

/* Variables Declarations */
char home[128];
char *interface = "ppp0"; /* ppp0... Default interface */
char var_run_pid[30] = "/var/run/ppp0.pid"; 
int ppp_s = -1;
int CHAR = 219; /* Bars character */
int sec_value = 0;
float SPEED = 33.6;
unsigned short int VGA = 1;
unsigned short int GRAPHIC_BRIGHT = 0;
unsigned short int con = 0; 
unsigned short int discon = 0;
unsigned short int disconnected = 0;
unsigned short int check = 0;
unsigned short int online = 0;
/* End of Variables Declarations */
